#ifndef ENGINE_H
#define ENGINE_H

/* for windows as it sucks */
#include "tier0/platform.h"
#include "server.h"
#include "tier1/utlvector.h"

class CBaseEntity;

interface IEngine
{
public:
	static void Init();
	static void Frame(float fDelta);
	static void Shutdown();
};

extern IIClient g_localClient;
extern CUtlVector<IIClient*> g_clients;


interface IIEngine 
{
public:
	static CBaseEntity *SpawnEntity( const char *szName );
	static void InitEntity(CBaseEntity *pEntity);
	static void DestroyEntity( CBaseEntity *pEntity );
	static void ConnectClient( IIClient *pClient);
	static void DisconnectClient( IIClient *pClient);
};


#endif
